Altibase.jdbc.driver

## Class AltibaseXid

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

    public class AltibaseXid
    extends java.lang.Object
    implements javax.transaction.xa.Xid

### Field Summary

Fields
`static short` `MAXDATASIZE`

### Fields inherited from interface javax.transaction.xa.Xid

`MAXBQUALSIZE, MAXGTRIDSIZE`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseXid(long aFormatId, byte[] aGlobalTransactionId, byte[] aBranchQualifier)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object aObj)`
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`
`int` `hashCode()`
`java.lang.String` `toString()`
`static java.lang.String` `toString(javax.transaction.xa.Xid aXid)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAXDATASIZE

    public static final short MAXDATASIZE

See Also:
  Constant Field Values

### Constructor Detail

#### AltibaseXid

    public AltibaseXid(long aFormatId,
                       byte[] aGlobalTransactionId,
                       byte[] aBranchQualifier)

### Method Detail

#### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

Specified by:
  `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

#### getFormatId

    public int getFormatId()

Specified by:
  `getFormatId` in interface `javax.transaction.xa.Xid`

#### getBranchQualifier

    public byte[] getBranchQualifier()

Specified by:
  `getBranchQualifier` in interface `javax.transaction.xa.Xid`

#### equals

    public boolean equals(java.lang.Object aObj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public static java.lang.String toString(javax.transaction.xa.Xid aXid)